# auth-eduroam

通过 Eduroam 来登录皮肤站。

## 功能

- [x] 验证 Eduroam 登录凭据
- [x] 使用 Blessing Skin 验证码或 reCAPTCHA
- [x] 替换邮箱域名
- [ ] 设置密码

> 使用 require-passsword 插件来让用户重置密码，以用于外置登录等。

## 配置

在 .env 文件中设置环境变量。

`EDUROAM_HOST` : 添加在用户名后的 Eduroam 域名。

`EDUROAM_STORE_HOST` : 替换 `EDUROAM_HOST` 并存储在数据库中的电子邮箱域名。

## 示例

不设置任何环境变量以允许所有 Eduroam 成员。

```
(不设置)
```

设置 `EDUROAM_HOST=example.com` (不加 `@`) 可在 Eduroam 用户名后自动添加 `@example.com` 。这样，只有指定成员才能成功登录。

```
EDUROAM_HOST=example.com
```

同时设置 `EDUROAM_HOST=example.com` 和 `EDUROAM_STORE_HOST=mail.example.com` (均不加 `@`) 可在 Eduroam 用户名后自动添加 `@example.com` ，但使用 `username@mail.example.com` 在数据库中查找或注册用户。在学校 Eduroam 域名与电子邮件不一样时尤为有用。

```
EDUROAM_HOST=example.com
EDUROAM_STORE_HOST=mail.example.com
```

## 声明

本项目仅用于学习相关验证过程。使用请自担风险。作者不承担使用此插件带来的任何损失或引发的责任。

## 参见

https://github.com/bs-community/blessing-skin-server

https://github.com/bs-community/blessing-skin-plugins

---

# auth-eduroam

Log in skin server with Eduroam.

## Features

- [x] Verify Eduroam credentials
- [x] Use Blessing Skin (re)CAPTCHAs
- [x] Replace Email hosts
- [ ] Set Passwords

> Use require-passsword plugin to let users reset passwords for external authentication, etc.

## Configuration

Set environment variables in .env file.

`EDUROAM_HOST` : Eduroam hostname that will append to username.

`EDUROAM_STORE_HOST` : Email hostname that will store in database in replace of `EDUROAM_HOST` .

## Examples

Leave environment variables unset to allow all Eduroam members.

```
(None)
```

Set `EDUROAM_HOST=example.com` (without `@`) to automatically append `@example.com` to Eduroam username. Therefore only specified members can log in successfully.

```
EDUROAM_HOST=example.com
```

Set `EDUROAM_HOST=example.com` and `EDUROAM_STORE_HOST=mail.example.com` (without `@`) together to append `@example.com` to Eduroam username, but use `username@mail.example.com` to lookup or register users in database. Useful if your school has different hostname for Eduroam and student email.

```
EDUROAM_HOST=example.com
EDUROAM_STORE_HOST=mail.example.com
```

## Statement

This project is only for studying relevant authentication process. USE IT AT YOUR OWN RISK. The author assumes no responsibility for any losses, damages, or liabilities arising from the use of this project.

## See also

https://github.com/bs-community/blessing-skin-server

https://github.com/bs-community/blessing-skin-plugins
